# Cairo::availableFonts

# cairo_available_fonts

(PECL cairo >= 0.1.0)

Cairo::availableFonts -- cairo_available_fonts — Retrieves the availables font types

### Description

Object oriented style:

public static Cairo::availableFonts ( void ) : array

Procedural style:

cairo_available_fonts ( void ) : array

Returns an array with the available font backends

### Parameters

This function has no parameters.

### Return Values

A list-type array with all available font backends.

### Examples

Example #1 Object oriented style

`<?php
/* Object Oriented Style */
var_dump(Cairo::availableFonts());
?>`

The above example will output something similar to:

    array(2) {
      [0]=>
      string(5) "WIN32"
      [1]=>
      string(4) "USER"
    }

Example #2 Procedural style

`<?php
/* Procedural style */
var_dump(cairo_available_fonts());
?>`

The above example will output something similar to:

    array(2) {
      [0]=>
      string(5) "WIN32"
      [1]=>
      string(4) "USER"
    }

### See Also

- Cairo::availableSurfaces() - Retrieves all available surfaces